## no critic(RequireCompileability)
use strict;
use FindBin qw($Bin);

#use DE_EPAGES::Core::API::Script qw( RunScript );

use lib $Bin;
use Order;

BEGIN {
    *Billsafe::Request::  = *DE_EPAGES::Billsafe::API::Request::  ;
    *Billsafe::Account::  = *DE_EPAGES::Billsafe::API::Account::  ;
    *Billsafe::Article::  = *DE_EPAGES::Billsafe::API::Article::  ;
    *Billsafe::Customer:: = *DE_EPAGES::Billsafe::API::Customer:: ;
    *Billsafe::Order::    = *DE_EPAGES::Billsafe::API::Order::    ;
}

# Test::Class, RUNNING TESTS:
# Doing Test::Class->runtests runs all of the test methods
# in every loaded test class.
#RunScript Sub => sub { Test::Class->runtests };
Order->runtests;

__END__
Mit RunScript wird die eigentliche Fehlermeldung verschluckt. Das hängt
vielleicht mit den in Try::Tiny angesprochenen Details zusammen.

Mit RunScript erhalte ich diesen Fehler:

  Operation "eq": no method found,
  left argument in overloaded package DE_EPAGES::Core::API::Error,
  right argument has no overloaded magic
  at C:/epages/Perl/site/lib/Test/Class.pm line 276.

Der eigentliche Fehler ist aber ein ganz anderer:

  not ok 12 - t020 died
  (Can't locate object method "parse" via package "HTML::Form"
  (perhaps you forgot to load "HTML::Form"?)
  at C:/epages/Cartridges/DE_EPAGES/Billsafe/t/BillsafeTest.pm line 43.)

Der eigentliche Fehler wird durch RunScript versteckt.
Deshalb erstmal auskommentiert.
