-- #30
CREATE TABLE patchhandler (
    patchhandlerid       integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   package              text         NOT NULL
,   patchversionid       integer      NULL
,   skip                 bool         NOT NULL default 0
,   constraint fk_patchhandler_patchversion foreign key (patchversionid)
        references patchversion                         (patchversionid)
)
GO
CREATE UNIQUE INDEX u_patchhandler_package ON patchhandler (package)
GO