#!/bin/sh
rpm --quiet -q graphviz && exit 0

PATH=sh/EPAGES_RELEASE/var/epages:/var/epages:$PATH

. functions.sh

started_by_rpm $$ && exit 0

if [[ $KERNEL = ${KERNEL%s} && $EPAGES_KERNEL = ${EPAGES_KERNEL%s} ]] ; then
  ini-config.sh -f /etc/yum.repos.d/graphviz-rhel.repo -s graphviz-stable -k enabled -v 1 -i
  [[ $(uname -m) = x86_64 ]] && sed -i 's,i386,x86_64,g' /etc/yum.repos.d/graphviz-rhel.repo
  INSTALLER=yum
  YES=-y ; unset ZES
else
  INSTALLER=zypper
  ZES=-y ; unset YES
fi

echo "$INSTALLER $YES install $ZES graphviz"
$INSTALLER $YES install $ZES graphviz

exit 0
