dojo.provide("epages.cartridges.de_epages.externalshipping.widget.WorkdayCalendar");//an dieser Stelle wird das neue Widget registriert

//hier werden alle ntigen Funktionen von anderen Paketen eingebunden
dojo.require("epages.widget.Calendar");
dojo.require("dojo.date");

//ab hier beginnt das neue Widget erst die Definition des neue Namen, in Klammern dann von welchem vorhandenen es ableitet hier epages.widget.Calendar
dojo.declare("epages.cartridges.de_epages.externalshipping.widget.WorkdayCalendar", [epages.widget.Calendar], {
        /**
         * public properties
         */
        disableSaturday : false,
        disableSunday   : true,
        disableToday    : true,
        //somit hat das Widget alle Funktionen und Parameter wie sein Eltern-Widget
        //und wir knnen an dieser Stelle neue Parameter hinzufgen

        /**
         * private properties
         */

        isDisabledDate: function(/*Date*/ date, /*String?*/ locale) {
        //die Funktion isDisabledDate wird im dojo-Calendar-Widget definiert und fr jeden Tag des Kalenders aufgerufen
        //sie bietet die Schnittstelle um Tage im Kalender zu deaktivieren
            date.setHours(0,0,0,0); //Uhrzeit des aktuellen Tages auf 0:00:00 setzen dadurch funktionieren Vergleiche besser            
            
            if(this.disableSaturday && date.getDay() == 6){//berprfen ob Flag aktiv und dann aktuellen Wochentag auslesen 6 = Samstag
                return true;//isDisabledDate auf true setzen damit der Tag im Kalender deaktiviert wird
            }
            if(this.disableSunday && date.getDay() == 0){//berprfen ob Flag aktiv und dann aktuellen Wochentag auslesen 0 = Sonntag
                return true;
            }
                        
            var now = new Date();
            now.setHours(0,0,0,0);
            if(!this.disableToday){
                now.setDate(now.getDate() -1);
            }
                                  
            if ( dojo.date.compare(now, date, "date") >= 0 ) // dojo.date.compare vergleicht zwei Datums-Objekte hier mit dem Parameter "date wird nur nach Tag verglichen
            {                    //ist der Tag gleich gibt die Funktion 0 zurck, ist date frher als now gibt sie -1 zurck und ist date spter als now gibt sie 1 zurck
              return true;
            }
        }
});