-- #100
CREATE TABLE patchstore (
    patchstoreid       integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   name               text         NOT NULL
,   patchstoretypeid   integer      NULL
,   patchversionid     integer      NULL
,   constraint fk_patchstore_patchstoretype foreign key (patchstoretypeid)
        references patchstoretype                       (patchstoretypeid)
,   constraint fk_patchstore_patchversion foreign key (patchversionid)
        references patchversion                       (patchversionid)
)
GO
CREATE UNIQUE INDEX u_patchstore_name ON patchstore (name)
GO